Name:          osgi-resource-locator
Version:       1.0.1
Release:       %mkrel 3
Summary:       OSGi resource locator bundle
Group:         Development/Java
License:       CDDL or GPLv2 with exception
Url:           http://hk2.java.net/
# svn export https://svn.java.net/svn/hk2~svn/tags/osgi-resource-locator-1.0.1
# tar czf osgi-resource-locator-1.0.1-src-svn.tar.gz osgi-resource-locator-1.0.1
Source0:       osgi-resource-locator-1.0.1-src-svn.tar.gz

BuildRequires: glassfish-pom
BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: felix-osgi-compendium
BuildRequires: felix-osgi-core

BuildRequires: maven
BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-plugin-bundle
BuildRequires: maven-shared-osgi

BuildRequires: forge-parent

Requires:      felix-osgi-compendium
Requires:      felix-osgi-core
Requires:      forge-parent

Requires:      java
Requires:      jpackage-utils
BuildArch:     noarch


%description
OSGi resource locator bundle - used by various API providers that
rely on META-INF/services mechanism to locate providers.

See http://wiki.glassfish.java.net/Wiki.jsp?page=JdkSpiOsgi for more information

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      jpackage-utils

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n osgi-resource-locator-%{version}

sed -i "s|<groupId>org.osgi</groupId>|<groupId>org.apache.felix</groupId>|" pom.xml
sed -i "s|<version>4.2.0</version>|<version>1.4.0</version>|" pom.xml

%build

mvn-rpmbuild install javadoc:aggregate

%install

mkdir -p %{buildroot}%{_javadir}
install -pm 644 target/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%{_javadocdir}/%{name}


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 1.0.1-3.mga4
+ Revision: 508776
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.0.1-2.mga3
+ Revision: 362221
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 20 2012 gil <gil> 1.0.1-1.mga3
+ Revision: 262147
- imported package osgi-resource-locator

